KPAT(6)

NAME
kpat - Um jogo de cartas viciante do KDE.

SYNOPSIS

kpat [opção-Qt...] [opção-KDE...] [--solvegame arquivo] [--solve num] [--start num] [--end num] [--gametype jogo]

DESCRIÇÃO

O KPatience é um conjunto de vários jogos conhecidos de paciência de cartas, desde os conhecidos Klondike e Freecell até outros como o Relógio do Avô e o Mod3. Ao todo estão disponíveis 12 variantes para gastar o seu tempo.

OPÇÕES

Este programa segue a sintaxe GNU para linhas de comando, com as opções longas começando com dois traços (`--'). Uma lista da opções suportados pelo kpat está incluída abaixo.

  Opções genéricas

--author
    Mostra informações sobre o autor

--help
    Exibe a ajuda sobre as opções.

--help-qt
    Exibe as opções específicas do Qt

--help-kde
    Exibe as opções específicas do KDE

--help-all
    Mostra todas as opções

--license
    Mostra informações sobre a licença

-v, --version
    Exibe a versão e sai.

  Opções do Qt

--display nome_do_terminal
    Usa o terminal do servidor de X nome_do_terminal.

--session ID_da_sessão
    Restaura o aplicativo com o ID_da_sessão fornecido.

--cmap
    Faz com que o aplicativo instale um mapa de cores privado em uma tela de 8 bits.

--ncols número
    Limita o número de cores alocadas numa tela de 8 bits, se o aplicativo estiver usando a especificação de cores QApplication::ManyColor.

--nograb
    obriga o Qt a nunca bloquear para seu uso o mouse ou o teclado.

--dograb
    executar sob um depurador pode causar um -nograb implícito, use -dograb para cancelá-lo.

--sync
    muda para o modo síncrono na depuração.

--fn, --font nome_da_fonte
    configura a fonte do aplicativo.

--bg, --background cor
    Configura a cor de fundo padrão e uma paleta do aplicativo (são calculados os tons claros e escuros).

--fg,--foreground cor
    define a cor de primeiro plano padrão.

--btn, --button cor
    define a cor dos botões padrão.

--name nome
    define o nome do aplicativo.

--title título
    configura o título do aplicativo (legenda).

--visual TrueColor
    força o uso de um visual com cores reais numa tela de 256 cores.

--inputstyle
    seleciona o estilo de entrada XIM (Método de introdução de caracteres do X). Os valores possíveis são: onthespot, overthespot, offthespot e root.

--im XIM server
    seleciona o servidor XIM.

--noxim
    desativa o XIM.

--reverse
    inverte por completo a disposição dos elementos gráficos.

--stylesheet arquivo.qss
    aplica a folha de estilo do Qt aos widgets do aplicativo.

--graphicssystem sistema
    usar um sistema gráfico diferente do padrão, as opções são “raster” e “opengl” (experimental).

  Opções do KDE

--caption texto
    Usa texto como título do aplicativo.

--icon ícone
    Usa ícone como o ícone do aplicativo.

--config nome do arquivo
    Usar o arquivo de configuração alternativo.

--nocrashhandler
    Desativa o tratamento de erros, para obter 'core dumps'.

--waitforwm
    Espera um gerenciador de janelas compatível com WM_NET.

--style estilo
    seleciona o estilo gráfico do aplicativo.

--geometry geometria
    define a geometria do widget principal do cliente - veja a página do manual man:/X para o formato do argumento (normalmente LarguraxAltura+XPos+YPos).

  Opções

--solvegame arquivo
    Tenta achar uma solução para o jogo salvo indicado

--solve num
    Jogada a solucionar (depuração)

--start num
    Faixa de jogo inicial (padrão 0:INT_MAX)

--end num
    Faixa de jogo final (padrão inicial:inicial se especificado)

--gametype jogo
    Pula a tela de seleção e carrega um tipo particular de jogo. Os valores válidos são: acesup, fortyeight, freecell, golf, grandfather, grandfathersclock, gypsy, klondike, mod3, simplesimon, spider, yukon

  Argumentos

arquivo
    Arquivo a carregar

VEJA TAMBÉM

O KPatience está documentado em detalhes no Manual do KPatience ($KDEDIRshare/doc/HTML/en/kpat/index.html ou digite help:/kpat/index.html no Konqueror).

AUTOR

KPatience concebido por:
    Paul Olav Tvete
    Mario Weilguni mweilguni@kde.org
    Matthias Ettrich ettrich@kde.org
    Rodolfo Borges barrett@labma.ufrj.br
    Peter H. Ruegg kpat@incense.org
    Michael Koch koch@kde.org
    Marcus Meissner mm@caldera.de
    Shlomi Fish shlomif@vipe.technion.ac.il
    Stephan Kulow coolo@kde.org